# Uses of Class
org.eclipse.net4j.util.ui.widgets.EntryField

Packages that use EntryField
Package
Description
org.eclipse.net4j.util.ui.chat
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of EntryField in org.eclipse.net4j.util.ui.chat

Methods in org.eclipse.net4j.util.ui.chat that return EntryField
Modifier and Type
Method
Description
`EntryField`
ChatComposite.`getEntryField()`

## Uses of EntryField in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets that return types with arguments of type EntryField
Modifier and Type
Method
Description
`Consumer<EntryField>`
EntryField.FieldConfig.`getDirtyHandler()`
`Consumer<EntryField>`
EntryField.FieldConfig.`getEmptyHandler()`
`Consumer<EntryField>`
EntryField.FieldConfig.`getPreviewModeHandler()`
Method parameters in org.eclipse.net4j.util.ui.widgets with type arguments of type EntryField
Modifier and Type
Method
Description
`void`
EntryField.FieldConfig.`setDirtyHandler(Consumer<EntryField> dirtyHandler)`
`void`
EntryField.FieldConfig.`setEmptyHandler(Consumer<EntryField> emptyHandler)`
`void`
EntryField.FieldConfig.`setPreviewModeHandler(Consumer<EntryField> previewModeHandler)`